apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ template "name" . }}
  labels:
    app: {{ template "name" . }}
    chart: "{{ .Chart.Name }}-{{ .Chart.Version }}"
    release: "{{ .Release.Name }}"
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      app: {{ template "name" . }}
      chart: "{{ .Chart.Name }}-{{ .Chart.Version }}"
      release: "{{ .Release.Name }}"
  template:
    metadata:
      labels:
        app: {{ template "name" . }}
        chart: "{{ .Chart.Name }}-{{ .Chart.Version }}"
        release: "{{ .Release.Name }}"
    spec:
      hostAliases:
      - ip: "{{ .Values.alias_ip }}"
        hostnames:
        - "{{ .Values.alias_hostname }}"
      containers:
      - name: {{ template "name" . }}
        image: "{{ .Values.image }}:{{ .Values.imageTag }}"
        volumeMounts:
        - name: jwt-secret
          mountPath: "/root"
        readinessProbe:
          httpGet:
            path: /_backend/ping
            port: 3000
          periodSeconds: 3
        livenessProbe:
          httpGet:
            path: /_backend/ping
            port: 3000
          initialDelaySeconds: 10
          periodSeconds: 5
        resources:
          requests:
            memory: "{{ .Values.requests.memory }}"
            cpu: "{{ .Values.requests.cpu }}"
          limits:
            memory: "{{ .Values.limits.memory }}"
            cpu: "{{ .Values.limits.cpu }}"
        env:
        - name: NODE_ENV
          value: "{{ .Values.NODE_ENV }}"
        - name: HOST_BASE
          value: "{{ .Values.HOST_BASE }}"
        - name: HOST_MAIN
          value: "{{ .Values.HOST_MAIN }}"
        - name: HOST_STO
          value: "{{ .Values.HOST_STO }}"
        - name: HOST_HELPER
          value: "{{ .Values.HOST_HELPER }}"
        - name: HOST_CHAT
          value: "{{ .Values.HOST_CHAT }}"
        - name: JWT_PUBLIC_KEY_PATH
          value: "{{ .Values.JWT_PUBLIC_KEY_PATH }}"
        - name: JWT_PRIVATE_KEY_PATH
          value: "{{ .Values.JWT_PRIVATE_KEY_PATH }}"
        - name: SERVICE_MONOLITH_URI
          value: "{{ .Values.SERVICE_MONOLITH_URI }}"
        - name: SERVICE_MONOLITH_TOKEN
          value: "{{ .Values.SERVICE_MONOLITH_TOKEN }}"
        - name: SERVICE_SEARCH_URI
          value: "{{ .Values.SERVICE_SEARCH_URI }}"
        - name: SERVICE_CONTRACTPARTS_URI
          value: "{{ .Values.SERVICE_CONTRACTPARTS_URI }}"
        - name: SERVICE_EXPERT_URI
          value: "{{ .Values.SERVICE_EXPERT_URI }}"
        - name: SERVICE_PARTGROUPS_URI
          value: "{{ .Values.SERVICE_PARTGROUPS_URI }}"
        - name: SERVICE_STATSCOLLECTOR_URI
          value: "{{ .Values.SERVICE_STATSCOLLECTOR_URI }}"
        - name: SERVICE_GRAPHQL_URI
          value: "{{ .Values.SERVICE_GRAPHQL_URI }}"
        - name: REDIS_SESSIONS_URI
          value: "{{ .Values.REDIS_SESSIONS_URI }}"
        - name: REDIS_API_CACHE_URI
          value: "{{ .Values.REDIS_API_CACHE_URI }}"
        - name: SESSION_SECRET
          value: "{{ .Values.SESSION_SECRET }}"
        - name: COMET_CHAT_ID
          value: "{{ .Values.COMET_CHAT_ID }}"
        - name: COMET_CHAT_TOKEN
          value: "{{ .Values.COMET_CHAT_TOKEN }}"
        - name: IMAGES_BASE_PATH
          value: "{{ .Values.IMAGES_BASE_PATH }}"
        - name: LOG_LEVEL
          value: {{ .Values.LOG_LEVEL }}
        - name: SITE_WARNING
          value: {{ .Values.SITE_WARNING }}
        - name: STATIC_PUBLIC_PATH
          value: {{ .Values.STATIC_PUBLIC_PATH }}
        ports:
        - containerPort: {{ .Values.appport }}
      volumes:
      - name: jwt-secret
        secret:
          secretName: jwt-secret
      imagePullSecrets:
      - name: {{ .Values.imagePullSecrets }}
